unit Unit1;

interface

{$I frx.inc}

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
{$IFDEF Delphi22}
{$ENDIF}
  StdCtrls, Db, frxDesgn, frxClass, frxDCtrl,
  frxRich, frxBarcode, ImgList, ComCtrls, ExtCtrls, frxOLE,
  frxCross, frxDMPExport, frxExportImage, frxExportRTF,
  frxExportXML, frxExportHTML, frxGZip, frxExportPDF,
  frxChBox, frxExportText, frxExportCSV, frxExportMail,
  frxADOComponents, frxCrypt, frxExportODF, frxPrinter,
  frxExportHTMLDiv, frxExportXLSX, frxExportPPTX, frxExportDOCX,
  frxExportBIFF, frxChart, frxExportSVG, frxTableObject, frxMap,
  frxExportHelpers, frxExportBaseDialog, Variants, frxCellularTextObject,
  frxExportPPML, frxExportPS, frxExportZPL, frxSaveFilterFRX, frxHTML,
  frxPDFViewer, ImageList, frxDBSet, DBAccess, IBC, MemDS;

type
  TForm1 = class(TForm)
    frxBarCodeObject1: TfrxBarCodeObject;
    frxRichObject1: TfrxRichObject;
    frxDialogControls1: TfrxDialogControls;
    Image1: TImage;
    Label1: TLabel;
    Label3: TLabel;
    frxOLEObject1: TfrxOLEObject;
    frxCrossObject1: TfrxCrossObject;
    frxDotMatrixExport1: TfrxDotMatrixExport;
    frxBMPExport1: TfrxBMPExport;
    frxJPEGExport1: TfrxJPEGExport;
    frxTIFFExport1: TfrxTIFFExport;
    frxHTMLExport1: TfrxHTMLExport;
    frxXMLExport1: TfrxXMLExport;
    frxRTFExport1: TfrxRTFExport;
    frxGZipCompressor1: TfrxGZipCompressor;
    frxPDFExport1: TfrxPDFExport;
    Label4: TLabel;
    frxCheckBoxObject1: TfrxCheckBoxObject;
    frxMailExport1: TfrxMailExport;
    frxCSVExport1: TfrxCSVExport;
    frxGIFExport1: TfrxGIFExport;
    frxSimpleTextExport1: TfrxSimpleTextExport;
    frxADOComponents1: TfrxADOComponents;
    frxCrypt1: TfrxCrypt;
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    DescriptionM: TMemo;
    DesignB: TButton;
    PreviewB: TButton;
    Label5: TLabel;
    Label7: TLabel;
    Label2: TLabel;
    FileNameL: TLabel;
    Shape1: TShape;
    frxODSExport1: TfrxODSExport;
    frxODTExport1: TfrxODTExport;
    frxReport1: TfrxReport;
    frxDOCXExport1: TfrxDOCXExport;
    frxPPTXExport1: TfrxPPTXExport;
    frxXLSXExport1: TfrxXLSXExport;
    frxHTML5DivExport1: TfrxHTML5DivExport;
    frxBIFFExport1: TfrxBIFFExport;
    frxChartObject1: TfrxChartObject;
    frxSVGExport1: TfrxSVGExport;
    frxZPLExport1: TfrxZPLExport;
    frxPSExport1: TfrxPSExport;
    frxPPMLExport1: TfrxPPMLExport;
    frxPNGExport1: TfrxPNGExport;
    IBCConnection1: TIBCConnection;
    rw: TIBCTransaction;
    konfiguracja: TIBCQuery;
    klienci: TIBCQuery;
    umowa_ds: TIBCDataSource;
    umowa_elem: TIBCQuery;
    umowa: TIBCQuery;
    rabat: TIBCQuery;
    umowaDS: TfrxDBDataset;
    procedure DesignBClick(Sender: TObject);
    procedure PreviewBClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Label3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { IOTransport declarations }
    WPath: String;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses
  Unit2, ShellApi, frxIOTransportMail, frxIOTransportFTP, frxIOTransportDropbox,
  frxIOTransportOneDrive, frxIOTransportBoxCom, frxIOTransportGoogleDrive, frxIOTransportYandexDisk,
  frxGaugeView, frxGaugeDialogControl, frxZipCode, DateUtils, frxBaseGraphicsTypes
{$IFDEF Delphi7}
  , XPMan
{$ENDIF};

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  TfrxMailIOTransport.Create(Self);
  TfrxFTPIOTransport.Create(Self);
  TfrxDropboxIOTransport.Create(Self).Name := 'DBOX';
  TfrxOneDriveIOTransport.Create(Self).Name := 'ODRIVE';
  TfrxBoxComIOTransport.Create(Self).Name := 'BOX';
  TfrxGoogleDriveIOTransport.Create(Self).Name := 'GDRIVE';
  TfrxYandexDiskIOTransport.Create(Self).Name := 'YADISK';
  TfrxSaveFRX.Create(Self);
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  WPath := ExtractFilePath(Application.ExeName);
  Label2.Caption := 'VCL ' + FR_VERSION;
  Caption := 'FastReport VCL ' + FR_VERSION + ' Demo';
  Label4.Caption := #174;
  Label5.Caption := '(C) 1998-' + IntToStr(YearOf(Now)) + ' by Fast Reports Inc.';
end;

procedure TForm1.DesignBClick(Sender: TObject);
begin
  frxReport1.LoadFromFile(WPath + 'fv_rpt.fr3');
  frxReport1.DesignReport;
end;

procedure TForm1.PreviewBClick(Sender: TObject);
begin
  frxReport1.LoadFromFile(WPath + 'fv_rpt.fr3');
  frxReport1.ShowReport;
end;

procedure TForm1.Label3Click(Sender: TObject);
begin
  ShellExecute(GetDesktopWindow, 'open',
    PChar(TLabel(Sender).Caption), nil, nil, sw_ShowNormal);
end;

end.


